[Deprecated]: v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/{subjectId}/allowed-doseholds
Deprecated: Get kits allowed for dose hold in the current visit for a given subject. Rights: OrsSubjectVisitGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
instanceNumber: number
Instance number for unscheduled visit.Example:
1 -
studyVersion(required): string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.5 -
visitId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visitExample:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Dose Hold Kits Response
Type:
objectTitle:
Dose Hold Kits ResponseContains information about kits allowed or not allowed for dose hold.
Show Source
-
kitsAllowedForDoseHold: array
kitsAllowedForDoseHold
-
kitsNotAllowedForDoseHold: array
kitsNotAllowedForDoseHold
-
status(required): string
Title:
Dose Hold StatusAllowed Values:[ "ALLOW_DOSE_HOLD", "DOSE_HELD", "DISPENSED_AND_DOSE_HELD", "DISPENSED", "DOSE_HOLD_SETTINGS_OFF", "DOSE_HOLD_NOT_ALLOWED_ON_RAND_VISIT", "DOSE_HOLD_NOT_ALLOWED_ON_ANY_KITS" ]Indicates whether dose hold is allowed.Example:ALLOW_DOSE_HOLD
Nested Schema : kitsAllowedForDoseHold
Type:
Show Source
array-
Array of:
object DoseHoldKit
Title:
DoseHoldKitResponse containing dose hold kit details.
Nested Schema : kitsNotAllowedForDoseHold
Type:
Show Source
array-
Array of:
object DoseHoldKit
Title:
DoseHoldKitResponse containing dose hold kit details.
Nested Schema : DoseHoldKit
Type:
objectTitle:
DoseHoldKitResponse containing dose hold kit details.
Show Source
-
blindedTItrationLabel: string
Title:
Blinded Titration LabelBlinded titration label.Example:Low dose -
deviceType: string
Title:
Device TypeDevice type.Example:ActivityWatch -
isTitration: boolean
Title:
TitrationIndicates whether the current medication is a titration.Example:true -
kitDescription: string
Title:
Kit DescriptionKit description.Example:Kit A -
kitTypeSrcId: string
Title:
Kit Type Source IDKit type ID.Example:D313327EF13845169A8ADADDA435431E -
reason: string
Title:
ReasonReason for kits not allowed for dose hold.Example:DOSE_HOLD_VISIT_NOT_STARTED -
trialSupplyType: string
Title:
Trial Supply TypeType of the trial supply.Example:BOTTLE
Example:
{
"kitId":"C1C8327AFAA6412287106192AB5984EF",
"kitNumber":"KIT-000456"
}Examples
400 Response
Invalid subject OR Scheduled visit with instance number OR Unscheduled visit with no instance number
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples